cth-odoo

Untitled

Nov 25th, 2020
473
Never
Not a member of Pastebin yet? Sign Up, it unlocks many cool features!
  1. Erreur:
  2.  
  3. Odoo Server Error
  4.  
  5.  
  6.  
  7. Traceback (most recent call last):
  8.  
  9.   File "/home/odoo/src/odoo/14.0/odoo/addons/base/models/ir_http.py", line 237, in _dispatch
  10.  
  11.     result = request.dispatch()
  12.  
  13.   File "/home/odoo/src/odoo/14.0/odoo/http.py", line 683, in dispatch
  14.  
  15.     result = self._call_function(**self.params)
  16.  
  17.   File "/home/odoo/src/odoo/14.0/odoo/http.py", line 359, in _call_function
  18.  
  19.     return checked_call(self.db, *args, **kwargs)
  20.  
  21.   File "/home/odoo/src/odoo/14.0/odoo/service/model.py", line 94, in wrapper
  22.  
  23.     return f(dbname, *args, **kwargs)
  24.  
  25.   File "/home/odoo/src/odoo/14.0/odoo/http.py", line 347, in checked_call
  26.  
  27.     result = self.endpoint(*a, **kw)
  28.  
  29.   File "/home/odoo/src/odoo/14.0/odoo/http.py", line 912, in __call__
  30.  
  31.     return self.method(*args, **kw)
  32.  
  33.   File "/home/odoo/src/odoo/14.0/odoo/http.py", line 531, in response_wrap
  34.  
  35.     response = f(*args, **kw)
  36.  
  37.   File "/home/odoo/src/odoo/14.0/addons/web/controllers/main.py", line 1363, in call_button
  38.  
  39.     action = self._call_kw(model, method, args, kwargs)
  40.  
  41.   File "/home/odoo/src/odoo/14.0/addons/web/controllers/main.py", line 1351, in _call_kw
  42.  
  43.     return call_kw(request.env[model], method, args, kwargs)
  44.  
  45.   File "/home/odoo/src/odoo/14.0/odoo/api.py", line 396, in call_kw
  46.  
  47.     result = _call_kw_multi(method, model, args, kwargs)
  48.  
  49.   File "/home/odoo/src/odoo/14.0/odoo/api.py", line 383, in _call_kw_multi
  50.  
  51.     result = method(recs, *args, **kwargs)
  52.  
  53.   File "/home/odoo/src/odoo/14.0/addons/sale_management/models/sale_order.py", line 88, in update_prices
  54.  
  55.     res = super().update_prices()
  56.  
  57.   File "/home/odoo/src/odoo/14.0/addons/sale/models/sale.py", line 468, in update_prices
  58.  
  59.     discount = max(0, (price_unit - product.price) * 100 / price_unit)
  60.  
  61. Exception
  62.  
  63.  
  64.  
  65. The above exception was the direct cause of the following exception:
  66.  
  67.  
  68.  
  69. Traceback (most recent call last):
  70.  
  71.   File "/home/odoo/src/odoo/14.0/odoo/http.py", line 639, in _handle_exception
  72.  
  73.     return super(JsonRequest, self)._handle_exception(exception)
  74.  
  75.   File "/home/odoo/src/odoo/14.0/odoo/http.py", line 315, in _handle_exception
  76.  
  77.     raise exception.with_traceback(None) from new_cause
  78.  
  79. ZeroDivisionError: float division by zero
RAW Paste Data